GET
/v1/templatesList templates
Lists templates, with optional filters for template type, search terms, and category. Supply pieces and tags to filter the results by their associated pieces and tags.
typestringoptional
Filter by template type: `OFFICIAL`, `SHARED`, or `CUSTOM`.
piecesarray<string>required
Filter templates by their associated piece identifiers.
tagsarray<string>required
Filter templates by their associated tags.
searchstringoptional
Filter templates by a search term.
categorystringoptional
Filter templates by category.
200Returns a list of templates matching the supplied filters.
Error handling
The pieces and tags query parameters are required arrays of strings. If supplied, type must be one of OFFICIAL, SHARED, or CUSTOM.